<?php

//Hak Cipta dilindungi Undang-undang. Hak Cipta : Khamdi Rahmani, Reg. Kemenkum HAM No : 000121327. Dilarang merubah isi File tanpa ijin tertulis dari pemegang Hak Cipta. 

class simakom_grafik extends simakom_laporan
{
    public function valuesSABKU($tb_transaksi, $tahun)
    {
        $jul = $this->summarySABKU($tb_transaksi, '01', $tahun);
        $agt = $this->summarySABKU($tb_transaksi, '02', $tahun);
        $sep = $this->summarySABKU($tb_transaksi, '03', $tahun);
        $okt = $this->summarySABKU($tb_transaksi, '04', $tahun);
        $nop = $this->summarySABKU($tb_transaksi, '05', $tahun);
        $des = $this->summarySABKU($tb_transaksi, '06', $tahun);
        $jan = $this->summarySABKU($tb_transaksi, '07', $tahun);
        $feb = $this->summarySABKU($tb_transaksi, '08', $tahun);
        $mar = $this->summarySABKU($tb_transaksi, '09', $tahun);
        $apr = $this->summarySABKU($tb_transaksi, '10', $tahun);
        $mei = $this->summarySABKU($tb_transaksi, '11', $tahun);
        $jun = $this->summarySABKU($tb_transaksi, '12', $tahun);
        $value = "'$jul', '$agt', '$sep', '$okt', '$nop', '$des', '$jan', '$feb', '$mar', '$apr', '$mei', '$jun'";
        return $value;
    }
    public function valuesSATunai($tb_transaksi, $tahun)
    {
        $jul = $this->summarySATunai($tb_transaksi, '01', $tahun);
        $agt = $this->summarySATunai($tb_transaksi, '02', $tahun);
        $sep = $this->summarySATunai($tb_transaksi, '03', $tahun);
        $okt = $this->summarySATunai($tb_transaksi, '04', $tahun);
        $nop = $this->summarySATunai($tb_transaksi, '05', $tahun);
        $des = $this->summarySATunai($tb_transaksi, '06', $tahun);
        $jan = $this->summarySATunai($tb_transaksi, '07', $tahun);
        $feb = $this->summarySATunai($tb_transaksi, '08', $tahun);
        $mar = $this->summarySATunai($tb_transaksi, '09', $tahun);
        $apr = $this->summarySATunai($tb_transaksi, '10', $tahun);
        $mei = $this->summarySATunai($tb_transaksi, '11', $tahun);
        $jun = $this->summarySATunai($tb_transaksi, '12', $tahun);
        $value = "'$jul', '$agt', '$sep', '$okt', '$nop', '$des', '$jan', '$feb', '$mar', '$apr', '$mei', '$jun'";
        return $value;
    }
    public function valuesSABank($tb_transaksi, $tahun)
    {
        $jul = $this->summarySABank($tb_transaksi, '01', $tahun);
        $agt = $this->summarySABank($tb_transaksi, '02', $tahun);
        $sep = $this->summarySABank($tb_transaksi, '03', $tahun);
        $okt = $this->summarySABank($tb_transaksi, '04', $tahun);
        $nop = $this->summarySABank($tb_transaksi, '05', $tahun);
        $des = $this->summarySABank($tb_transaksi, '06', $tahun);
        $jan = $this->summarySABank($tb_transaksi, '07', $tahun);
        $feb = $this->summarySABank($tb_transaksi, '08', $tahun);
        $mar = $this->summarySABank($tb_transaksi, '09', $tahun);
        $apr = $this->summarySABank($tb_transaksi, '10', $tahun);
        $mei = $this->summarySABank($tb_transaksi, '11', $tahun);
        $jun = $this->summarySABank($tb_transaksi, '12', $tahun);
        $value = "'$jul', '$agt', '$sep', '$okt', '$nop', '$des', '$jan', '$feb', '$mar', '$apr', '$mei', '$jun'";
        return $value;
    }
    public function valuesSAPajak($tb_transaksi, $tahun)
    {
        $jul = $this->summarySAPajak($tb_transaksi, '01', $tahun);
        $agt = $this->summarySAPajak($tb_transaksi, '02', $tahun);
        $sep = $this->summarySAPajak($tb_transaksi, '03', $tahun);
        $okt = $this->summarySAPajak($tb_transaksi, '04', $tahun);
        $nop = $this->summarySAPajak($tb_transaksi, '05', $tahun);
        $des = $this->summarySAPajak($tb_transaksi, '06', $tahun);
        $jan = $this->summarySAPajak($tb_transaksi, '07', $tahun);
        $feb = $this->summarySAPajak($tb_transaksi, '08', $tahun);
        $mar = $this->summarySAPajak($tb_transaksi, '09', $tahun);
        $apr = $this->summarySAPajak($tb_transaksi, '10', $tahun);
        $mei = $this->summarySAPajak($tb_transaksi, '11', $tahun);
        $jun = $this->summarySAPajak($tb_transaksi, '12', $tahun);
        $value = "'$jul', '$agt', '$sep', '$okt', '$nop', '$des', '$jan', '$feb', '$mar', '$apr', '$mei', '$jun'";
        return $value;
    }
    public function valuesSAPiutang($tb_transaksi, $tahun)
    {
        $jul = $this->summarySAPiutang($tb_transaksi, '01', $tahun);
        $agt = $this->summarySAPiutang($tb_transaksi, '02', $tahun);
        $sep = $this->summarySAPiutang($tb_transaksi, '03', $tahun);
        $okt = $this->summarySAPiutang($tb_transaksi, '04', $tahun);
        $nop = $this->summarySAPiutang($tb_transaksi, '05', $tahun);
        $des = $this->summarySAPiutang($tb_transaksi, '06', $tahun);
        $jan = $this->summarySAPiutang($tb_transaksi, '07', $tahun);
        $feb = $this->summarySAPiutang($tb_transaksi, '08', $tahun);
        $mar = $this->summarySAPiutang($tb_transaksi, '09', $tahun);
        $apr = $this->summarySAPiutang($tb_transaksi, '10', $tahun);
        $mei = $this->summarySAPiutang($tb_transaksi, '11', $tahun);
        $jun = $this->summarySAPiutang($tb_transaksi, '12', $tahun);
        $value = "'$jul', '$agt', '$sep', '$okt', '$nop', '$des', '$jan', '$feb', '$mar', '$apr', '$mei', '$jun'";
        return $value;
    }
    public function valuesSAHutang($tb_transaksi, $tahun)
    {
        $jul = $this->summarySAHutang($tb_transaksi, '01', $tahun);
        $agt = $this->summarySAHutang($tb_transaksi, '02', $tahun);
        $sep = $this->summarySAHutang($tb_transaksi, '03', $tahun);
        $okt = $this->summarySAHutang($tb_transaksi, '04', $tahun);
        $nop = $this->summarySAHutang($tb_transaksi, '05', $tahun);
        $des = $this->summarySAHutang($tb_transaksi, '06', $tahun);
        $jan = $this->summarySAHutang($tb_transaksi, '07', $tahun);
        $feb = $this->summarySAHutang($tb_transaksi, '08', $tahun);
        $mar = $this->summarySAHutang($tb_transaksi, '09', $tahun);
        $apr = $this->summarySAHutang($tb_transaksi, '10', $tahun);
        $mei = $this->summarySAHutang($tb_transaksi, '11', $tahun);
        $jun = $this->summarySAHutang($tb_transaksi, '12', $tahun);
        $value = "'$jul', '$agt', '$sep', '$okt', '$nop', '$des', '$jan', '$feb', '$mar', '$apr', '$mei', '$jun'";
        return $value;
    }

    //AKS


}
